class Slava {
	
	private static int brojac;
	private final String oznaka;
	private Gost[] gosti;

	public static class Gost implements Covek {
		
		private String ime;
		private double kilaza;
		private double pojeo;
		private double popio;

		public Gost(String ime, int kilaza) {
			this.ime = ime;
			this.kilaza = kilaza;
			pojeo = popio = 0;
		}

		public String getIme() {
			return ime;
		}

		public double getKilaza() {
			return kilaza;
		}
		
		public double getPojeo() {
			return pojeo;
		}
		
		public double getPopio() {
			return popio;
		}
		
		public void jedi(double porcija) {
			pojeo += porcija;
		}
		
		public void pij(double pice) {
			popio += pice;
		}
		
		public String toString() {
			return "\n" + ime + ", tezine " + kilaza + " kg, pojeo/la je " + pojeo + " kg hrane i popio " + popio + " litara pica.";
		}
	}

	public Slava(int hrane, Gost[] gosti) throws Izjelice {
		oznaka = "\nSlava " + (++brojac);
		double smazali = 0;
		System.out.print(oznaka + " je u toku, jede se i pije do iznemoglosti... \n");
		
		for (int i = 0; i < gosti.length; i++) {
			double porcija = Math.random()*gosti[i].getKilaza()/50;
			gosti[i].jedi(porcija);
			smazali += porcija;
			if (smazali > hrane)
				throw new Izjelice(smazali);
			double pice = Math.random()*gosti[i].getKilaza()/25;
			gosti[i].pij(pice);
			try {
				preziveo(gosti[i]);
			} catch (ZaHitnu ex) {
				System.out.println(ex.getCovek().getIme() + ex.getMessage());
			}
		}
		this.gosti = gosti;
	}

	public void preziveo(Gost g) throws ZaHitnu {
		System.out.println(g);
		if (g.getPojeo()>= g.getKilaza()/50)
			throw new ZaHitnu(g, " ode pravac u hitnu zbog prejedanja!");
		if (g.getPopio()>= g.getKilaza()/25)
			throw new ZaHitnu(g, " ode pravac u hitnu zbog alkoholne kome!");
		}

}